org.codehaus.groovy.ast.expr

## Interface ExpressionTransformer

All Known Implementing Classes:
  ClassCodeExpressionTransformer, JavaAwareResolveVisitor, NewifyASTTransformation, OptimizerVisitor, ResolveVisitor, StaticImportVisitor

    public interface ExpressionTransformer

Provides a way to transform expressions

Version:
  $Revision: 7922 $
Author:
  James Strachan

### Method Summary

Methods
`Expression` `transform(Expression expression)` Transforms the given expression into another expression

### Method Detail

#### transform

    Expression transform(Expression expression)

Transforms the given expression into another expression